package server

import (
	"encoding/json"
	"fmt"
	"os"
)

type AppConfig struct {
	Database struct {
		Connection string
	}
}

func ReadConfigFile(path string) (*AppConfig, error) {
	f, err := os.Open(path)
	if err != nil {
		return nil, fmt.Errorf("Error while opening %s: %s", path, err.Error())
	}
	defer f.Close()

	configDecoder := json.NewDecoder(f)

	config := new(AppConfig)
	err = configDecoder.Decode(config)
	if err != nil {
		return nil, fmt.Errorf("Error parsing config file %s: %s", path, err.Error())
	}

	return config, nil
}
